Bug 118928 - IPv6: setup of 6to4 behind NAT router is not working
Summary: IPv6: setup of 6to4 behind NAT router is not working
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts   
(Show other bugs)
Version: 1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-03-22 21:30 UTC by Peter Bieringer
Modified: 2014-03-17 02:43 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-10 16:44:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
6to4-tunnel setup function needs an extension (2.64 KB, patch)
2004-03-22 21:32 UTC, Peter Bieringer
no flags Details | Diff
ifup-ipv6 needs a fixed address selection mechanis for 6to4 (2.34 KB, patch)
2004-03-22 21:32 UTC, Peter Bieringer
no flags Details | Diff
ifdown-ipv6 needs a fixed address selection mechanis for 6to4 (2.05 KB, text/plain)
2004-03-22 21:33 UTC, Peter Bieringer
no flags Details
ifdown-ipv6 needs a fixed address selection mechanis for 6to4 (2.05 KB, patch)
2004-03-22 21:33 UTC, Peter Bieringer
no flags Details | Diff

Description Peter Bieringer 2004-03-22 21:30:32 UTC
Description of problem:
Sander Jonkers reports that the setup of 6to4 behind NAT router is not
working. While support was added sometime ago by me it was never fully
tested by me...

Version-Release number of selected component (if applicable):
cvs from 20040321 and earlier

How reproducible:
Always

Steps to Reproduce:
1. setup by using options in file ifcfg-eth0
IPV6INIT=yes
IPV6TO4INIT=yes
IPV6TO4_IPV4ADDR=<global-ipv4-address-of router>
2. setup proper NAT rules on router

    

Actual Results:  Not working, 6to4 tunnel interface tun6to4 got wrong
local-endpoint address (the global one of the router)

Expected Results:  tun6to4 needs local address as local-endpoint address

Additional info:

Fixes attached.

Comment 1 Peter Bieringer 2004-03-22 21:32:13 UTC
Created attachment 98757 [details]
6to4-tunnel setup function needs an extension

Comment 2 Peter Bieringer 2004-03-22 21:32:57 UTC
Created attachment 98758 [details]
ifup-ipv6 needs a fixed address selection mechanis for 6to4

Comment 3 Peter Bieringer 2004-03-22 21:33:32 UTC
Created attachment 98759 [details]
ifdown-ipv6 needs a fixed address selection mechanis for 6to4

Comment 4 Peter Bieringer 2004-03-22 21:33:37 UTC
Created attachment 98760 [details]
ifdown-ipv6 needs a fixed address selection mechanis for 6to4

Comment 5 Bill Nottingham 2004-09-10 16:44:54 UTC
Fixed in 7.80-1.


Note You need to log in before you can comment on or make changes to this bug.